fai-cd(8)

NAME
fai-cd - make a bootable CD-ROM or USB stick that performs an FAI

SYNOPSIS
fai-cd [OPTION] -m MIRROR ISOFILE
fai-cd [OPTION] -B FILE

DESCRIPTION
This command creates a bootable ISO CD-ROM image that performs the fully automatic installation from CD-ROM without an install server. The ISO image will be written to FILE. To create the image, the command needs the NFSROOT, the configuration space and a partial mirror, which is created by fai-mirror. This hybrid CD image can also be written to an USB stick using dd(1).

OPTIONS

-B  Create a boot only ISO image which does a network installation. It does not include the nfsroot, the partitial mirror and the config space; however for it to automatically initiate the installation -d has to be set. By default CONFIG_SRC will be empty.

-b  After creating the ISO image burn it by calling wodim(1) (a version of cdrecord).

-C CFDIR
    Use CFDIR as the configuration directory. Default is /etc/fai. You can also set the environment variable FAI_ETC_DIR.

-d CONFIG_SRC
    Set the path to the config space to CONFIG_SRC. Set to "" to create an ISO image with an empty path. If not set, the config space of the fai server will be included in the image in /var/lib/fai/config.

-f  Force removal of an existing ISO image before creating a new one.

-g FILE
    Use FILE as grub grub.cfg file. The script will look for FILE in CFDIR. If FILE is located in another directory then a full path must be specified. If not specified, use /etc/fai/grub.cfg.

-h  Show simple help and version.

-H  Do not hide directories. Using this option will consume 220MB more disk space on your media. By default, some directories like man pages and locales are hidden and will not be put onto the CD or the USB stick.

-k  Keep the temporary filesystem for debugging. The script will sleep for a long time, before continuing the cleanup of temp files and mounts. Beware of killing or suspending the script itself, since a lot of mounts will remain. This is for debugging only!

-M  Do not add the package mirror to the CD.

-m DIRECTORY
    Use DIRECTORY as partial FAI mirror. This option is mandatory, unless you use -M or -B.

-n  No ISO image. Do not call genisoimage to create the ISO image. This is for creating the filesystem only. Useful for writing it to a USB stick.

EXAMPLES
After you've created a mirror with fai-mirror in /media/mirror, you can create a CD using:
   # fai-cd -m /media/mirror fai-cd.iso If you want to create a bootable USB stick (here /dev/sdf) , write the CD image to the stick via dd(1).
   # dd if=fai-cd.iso of=/dev/sdf bs=1M

NOTES
Currently, fai-cd is only working with the package live-boot inside the nfsroot, not with dracut which is used for PXE network booting in FAI. Therefore you have to use the option -l with fai-make-nfsroot(8) and change the package list in /etc/fai/NFSROOT. Also the kernel command line options are slightly different. For details see live-boot(7) inside the nfsroot.

SEE ALSO
This program is part of FAI (Fully Automatic Installation). The FAI homepage is http://fai-project.org.

fai-mirror(1)

FILES
The FAI configuration file.
The default grub2 menu configuration file for fai-cd.

AUTHOR
Thomas Lange <lange@informatik.uni-koeln.de>